#include <psychlops.h>
using namespace Psychlops;

Psychlops::Point point1(100,100);
double d1,d2;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	point1.centering();
	sampleA.pix(point1,Color::red);
	
	d1=point1.getX();
	d2=point1.getY();
	
	//get命令の内容を画面表示する
	sampleA.msg("getX:",50,200);
	sampleA.var(d1,200,200);//getX
	sampleA.msg("getY:",50,250);
	sampleA.var(d2,200,250);//getY
	
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}